set xact_abort on
go

begin transaction
go

INSERT INTO dbo.Permessi
  VALUES ('ADMIN_stampanti', 'gestPrinterPost.aspx', 5, 2, 'GestPrinter', 'GestPrinterExpl')
go

commit transaction
go


set xact_abort on
go

begin transaction
go

INSERT INTO dbo.Permessi2Funzione
  VALUES ('ADMIN_stampanti', N'GMW_printMan', 'S')
go

commit transaction
go



set xact_abort on;
go

begin transaction;
go

set ANSI_NULLS on;
go

create VIEW v_selPostazioni_SAO
AS
SELECT        codPostazione AS value, codPostazione AS label, DataOra AS conditio
FROM            dbo.StoricoAzioniOperatore
go

exec sp_addextendedproperty 'MS_DiagramPane1', '[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "StoricoAzioniOperatore"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 241
               Right = 208
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
', 'SCHEMA', 'dbo', 'VIEW', 'v_selPostazioni_SAO';
go

exec sp_addextendedproperty 'MS_DiagramPaneCount', 1, 'SCHEMA', 'dbo', 'VIEW', 'v_selPostazioni_SAO';
go

create VIEW v_selSoggetti_SAO
AS
SELECT        dbo.StoricoAzioniOperatore.CodSoggetto AS value, dbo.Soggetti2Utente.USER_NAME AS label, dbo.StoricoAzioniOperatore.DataOra AS conditio
FROM            dbo.StoricoAzioniOperatore INNER JOIN
                         dbo.Soggetti2Utente ON dbo.StoricoAzioniOperatore.CodSoggetto = dbo.Soggetti2Utente.CodSoggetto
go

exec sp_addextendedproperty 'MS_DiagramPane1', '[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "StoricoAzioniOperatore"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 136
               Right = 208
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "Soggetti2Utente"
            Begin Extent = 
               Top = 6
               Left = 246
               Bottom = 119
               Right = 416
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
      Begin ColumnWidths = 9
         Width = 284
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
         Width = 1500
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1440
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End
', 'SCHEMA', 'dbo', 'VIEW', 'v_selSoggetti_SAO';
go

exec sp_addextendedproperty 'MS_DiagramPaneCount', 1, 'SCHEMA', 'dbo', 'VIEW', 'v_selSoggetti_SAO';
go

commit;
go


set xact_abort on;
go

begin transaction;
go

set ANSI_NULLS on;
go

/***************************************
* STORED stp_v_selPostazioni_SAO
*
* elenco Postazioni x ricerca dato periodo analisi
* Steamware, S.E.L.
* mod: 2012.10.02
*
****************************************/
create PROCEDURE stp_v_selPostazioni_SAO
(
	@DataOraFrom	DATETIME,
	@DataOraTo		DATETIME
)
AS
	SELECT	DISTINCT value, label, GETDATE() AS conditio
	FROM	v_selPostazioni_SAO
	WHERE	conditio BETWEEN @DataOraFrom AND @DataOraTo
	
RETURN
go

/***************************************
* STORED stp_v_selSoggetti_SAO
*
* elenco soggetti x ricerca dato periodo analisi
* Steamware, S.E.L.
* mod: 2012.10.02
*
****************************************/
create PROCEDURE stp_v_selSoggetti_SAO
(
	@DataOraFrom	DATETIME,
	@DataOraTo		DATETIME
)
AS
	SELECT	DISTINCT value, label, GETDATE() AS conditio
	FROM	v_selSoggetti_SAO
	WHERE	conditio BETWEEN @DataOraFrom AND @DataOraTo
	
RETURN
go

commit;
go


set xact_abort on;
go

begin transaction;
go

set ANSI_NULLS on;
go

/***************************************
* STORED stp_EP_delete
*
* elimina una postazione + stampante

* Steamware, S.E.L.
* mod: 2012.10.02
*
****************************************/
create PROCEDURE stp_EP_delete
(
	@Original_codPostazione	NVARCHAR(250)
)
AS

DELETE
FROM	ElencoPostazioni
WHERE	codPostazione = @Original_codPostazione

RETURN
go

/***************************************
* STORED stp_EP_update
*
* update di una postazione + stampante

* Steamware, S.E.L.
* mod: 2012.10.02
*
****************************************/
create PROCEDURE stp_EP_update
(
	@Original_codPostazione	NVARCHAR(250),
	@codPostazione			NVARCHAR(250),
	@stampante				NVARCHAR(250)
)
AS

UPDATE	ElencoPostazioni
SET		codPostazione	= @codPostazione,
		stampante		= @stampante
WHERE	codPostazione	= @Original_codPostazione

RETURN
go

commit;
go










INSERT INTO [dbo].[LogUpdateDb] ([Versione],[Data]) VALUES(510, GETDATE())
GO

SELECT TOP 10 * FROM LogUpdateDb ORDER BY Versione DESC